:root {
    --blue: #5271FF;
    --blue-bright: #94B9FF;
    --blue-dark: #0A1A44;
    --green-bright: #CDFFD8;
    --white: #FFFFFF;
    --black: #000000;
}
@font-face {
    font-family: 'OpenSauce';
    src: url('./fonts/OpenSauceOne-Light.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

body {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;

    background-image: url('./images/background.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    font-family: 'OpenSauce', sans-serif;
    color: var(--white);
}

.container {
    padding: 0 calc((100vw - 1440px) / 2);
    width: 100%;
    display: flex;

    position: relative;
    overflow: hidden;
}

.information {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 10px 70px;

    width: 60%;
}

.title {
    max-width: 550px;
}

.title img {
    width: 100%;
}

.description h2 {
    font-size: 66px;
}

.description p {
    font-size: 28px;
}

.information a {
    margin-top: 40px;
    width: 400px;
}

.information a img {
    width: 32px;
    padding-right: 16px;
}

.information button {
    padding: 14px 40px;
    font-size: 28px;
    width: 100%;
    background: linear-gradient(to right, var(--green-bright), var(--blue-bright));
    color: var(--black);
    border: none;
    border-radius: calc(100vh / 2);
    cursor: pointer;
    font-weight: normal;
    vertical-align: middle;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 100%;
}

.image {
    padding: 10px 70px;
    width: 40%;
    
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.image .appstore-image {  
    z-index: 2;
    width: 90%;
}

.background-image {
    z-index: 1;
    position: absolute;
    right: calc(((100vw - 1440px) / 2) - 120px);
}

@media only screen and (max-width: 1060px) {
    .information {
        width: 100%;
        padding: 14px;
    }

    .image {
        display: none;
    }

    .information a {
        margin-top: 40px;
        width: 100%;
    }

    .information a img {
        width: 44px;
    }

    .information button {
        font-size: 40px;
        padding: 34px 40px;
    }

    .title {
        max-width: 100%;
    }

    .description h2 {
        font-size: 86px;
    }
    
    .description p {
        font-size: 48px;
    }
}

@media only screen and (max-width: 726px) {
    .information button {
        font-size: 18px;
        padding: 10px 4px;
    }

    .information a img {
        width: 20px;
        padding-right: 6px;
    }

    .description h2 {
        font-size: 36px;
    }
    
    .description p {
        font-size: 18px;
    }
}